Bug 728139 - Evince does not honor user presets: "Save current as default" ineffective
Summary: Evince does not honor user presets: "Save current as default" ineffective
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 15
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 07:48 UTC by nomnex
Modified: 2012-08-07 17:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:24:32 UTC


Attachments (Terms of Use)

Description nomnex 2011-08-04 07:48:56 UTC
Description of problem:

Evince opens any new pdf using

- Side pane
- Continuous view
- Fit page width

the window weight and height size is predefined

Changing the settings and using edit > save current as default is ineffective

Version-Release number of selected component (if applicable):

F-15 LXDE/evince 3.0.2

How reproducible:

always

Steps to Reproduce:
1. Open a pdf, define you window size, view, etc. and save current as default
2. Open a new pdf
3. The default settings are back
  
Actual results:

Evince does not remember the user settings. it must be set for each newly open PDF, and will be only remembered as long as the pdf location is not modified.

Expected results:

To set my default view as I need.

Additional info:

Comment 1 nomnex 2011-09-20 00:44:39 UTC
I had a similar problem with Totem, see https://bugzilla.redhat.com/show_bug.cgi?id=722350. it was a missing dependency "dconf". Installing it solved the problem.

Could it be the same with this bug report:

- Is there a missing dependency to install, on non-Gnome DE, to have 100% Evince functionality?


Regards.

Comment 2 nomnex 2011-09-20 01:10:29 UTC
http://lists.fedoraproject.org/pipermail/users/2011-June/398780.html - did not solve this bug issue.

Evince remember my settings, per PDF opened, on LXDE. The "Save current as default" is however ineffective.

Another issue: I can add icons on the toolbar, but I cannot remove them (when I select an icon on the toolbar to replace it in the Toolbar editor, the entire evince window has the focus.

Could theses 2 problems be connected and related to a single missing dependency; or are these 2 separated issues? Thanks to let me know.

Comment 3 Fedora End Of Life 2012-08-07 17:24:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.